<?xml version="1.0" encoding="utf-8" ?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes" />
	<xsl:template match="/">
		<html>
			<head>
				<title></title>
			</head>
			<body>
				<table>
				<tr>
					<td><b>Frodo And Ring</b></td>
				</tr>
				<xsl:apply-templates select="//DeckCard[Side='Ring']" />
				<xsl:apply-templates select="//DeckCard[Side='Frodo']" />
				<tr><td><p></p></td></tr>
				<tr>
					<td><b>Sites</b></td>
				</tr>
				<xsl:apply-templates select="//DeckCard[Side='Site']">
					<xsl:sort select="Name"/>
				</xsl:apply-templates>
				<tr><td><p></p></td></tr>
				<tr>
					<td><b>Fellowship (<xsl:value-of select="sum(//DeckCard[Side='FellowShip']/Quantity)"/>)</b></td>
				</tr>
				<xsl:apply-templates select="//DeckCard[Side='FellowShip']">
					<xsl:sort select="CardType"/>
					<xsl:sort select="Name"/>
				</xsl:apply-templates>
				<tr><td><p></p></td></tr>
				<tr>
					<td><b>Shadow (<xsl:value-of select="sum(//DeckCard[Side='Shadow']/Quantity)"/>)</b></td>
				</tr>
				<xsl:apply-templates select="//DeckCard[Side='Shadow']">
					<xsl:sort select="CardType"/>
					<xsl:sort select="Name"/>
				</xsl:apply-templates>
				</table>
				<p></p>
				<table>
				<tr>
					<td><b>Deck Notes</b></td>
				</tr>
				<xsl:apply-templates select="//Deck" />
				</table>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="DeckCard[Side='Ring']">
		<tr>
			<td>
				<xsl:value-of select="Name" />(<xsl:value-of select="ID" />)
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="DeckCard[Side='Frodo']">
		<tr>
			<td>
				<xsl:value-of select="Name" />(<xsl:value-of select="ID" />)
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="DeckCard[Side='Site']">
		<tr>
			<td>
				<xsl:value-of select="Name" />(<xsl:value-of select="ID" />)
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="DeckCard">
		<tr>
			<td>
				<xsl:value-of select="Quantity" />x <xsl:value-of select="Name" />(<xsl:value-of select="ID" />)
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="Deck">
		<tr>
			<td>
				<xsl:value-of select="DeckNotes" />
			</td>
		</tr>
	</xsl:template>
</xsl:transform>